Package com.ngrok.definitions

# Class ReservedDomainCertPolicy

java.lang.Object
com.ngrok.definitions.ReservedDomainCertPolicy

public class ReservedDomainCertPolicy extends Object
A class encapsulating the `ReservedDomainCertPolicy` resource.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ReservedDomainCertPolicy.Builder`
  Builder class for `ReservedDomainCertPolicy`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getAuthority()`
  certificate authority to request certificates from.
  `String`
  `getPrivateKeyType()`
  type of private key to use when requesting certificates.
  `int`
  `hashCode()`
  `static ReservedDomainCertPolicy.Builder`
  `newBuilder()`
  Creates a new builder for the `ReservedDomainCertPolicy` type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### newBuilder

    public static ReservedDomainCertPolicy.Builder newBuilder()
    Creates a new builder for the `ReservedDomainCertPolicy` type.
    Returns:
      a new `ReservedDomainCertPolicy.Builder`

  - ### getAuthority

    public String getAuthority()
    certificate authority to request certificates from. The only supported value is letsencrypt.
    Returns:
      the value of the property as a `String`

  - ### getPrivateKeyType

    public String getPrivateKeyType()
    type of private key to use when requesting certificates. Defaults to rsa, can be either rsa or ecdsa.
    Returns:
      the value of the property as a `String`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`